curl -X DELETE "https://app.runtm.com/api/github-app/installations/inst_01J..." \
-H "Authorization: Bearer runtm_xxx"
import requests
installation_id = "inst_01J..."
resp = requests.delete(
f"https://app.runtm.com/api/github-app/installations/{installation_id}",
headers={"Authorization": "Bearer runtm_xxx"},
)
print(resp.json())
const installationId = "inst_01J...";
const resp = await fetch(
`https://app.runtm.com/api/github-app/installations/${installationId}`,
{
method: "DELETE",
headers: {
Authorization: "Bearer runtm_xxx",
},
}
);
const data = await resp.json();
{
"message": "Installation removed",
"id": "inst_01J..."
}
GitHub App
Delete Installation
Remove a GitHub App installation record.
DELETE
/
api
/
github-app
/
installations
/
{installation_id}
curl -X DELETE "https://app.runtm.com/api/github-app/installations/inst_01J..." \
-H "Authorization: Bearer runtm_xxx"
import requests
installation_id = "inst_01J..."
resp = requests.delete(
f"https://app.runtm.com/api/github-app/installations/{installation_id}",
headers={"Authorization": "Bearer runtm_xxx"},
)
print(resp.json())
const installationId = "inst_01J...";
const resp = await fetch(
`https://app.runtm.com/api/github-app/installations/${installationId}`,
{
method: "DELETE",
headers: {
Authorization: "Bearer runtm_xxx",
},
}
);
const data = await resp.json();
{
"message": "Installation removed",
"id": "inst_01J..."
}
Removes a GitHub App installation from the database. This does not uninstall the app from GitHub - it only removes the record from Runtime.
Required scope:
integrations:write
string
required
Internal installation ID to delete.
string
required
Confirmation message.
string
required
The deleted installation ID.
curl -X DELETE "https://app.runtm.com/api/github-app/installations/inst_01J..." \
-H "Authorization: Bearer runtm_xxx"
import requests
installation_id = "inst_01J..."
resp = requests.delete(
f"https://app.runtm.com/api/github-app/installations/{installation_id}",
headers={"Authorization": "Bearer runtm_xxx"},
)
print(resp.json())
const installationId = "inst_01J...";
const resp = await fetch(
`https://app.runtm.com/api/github-app/installations/${installationId}`,
{
method: "DELETE",
headers: {
Authorization: "Bearer runtm_xxx",
},
}
);
const data = await resp.json();
{
"message": "Installation removed",
"id": "inst_01J..."
}